> For the complete documentation index, see [llms.txt](https://docs.zapsign.com.br/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/signers-requests/detailsigner.md).

# detailSigner

Detail the signer

### Overview

Parameters:&#x20;

* String - signer token

Retorno:

* [Signer ](broken://pages/LNA023m1MfF7Iv92JTZd)- In case of success
* Exception - In case of failure

To get the signer we will need:

* set your apiToken;
* set the signer token;
* call the method;

### How to use:

Save your [apiToken](/zapsign-api/english/master.md):

<pre class="language-typescript"><code class="lang-typescript"><strong>const apiToken: string = "YOUR TOKEN";
</strong></code></pre>

Set the signer token:

```typescript
const signerToken: string = "SIGNER TOKEN";
```

Finally, call the detailSigner method to get the [Signer](https://app.gitbook.com/s/-M4noMoX5ZGb2-RhWjjf-887967055/~/changes/193/facilitadores/sdks/sdk-typescript/classes-usadas/body/signer) or an error message:

```typescript
async function exempleDetailSigner() {
    try {
           const signerRequest: SignerRequest = await new SignerRequest(apiToken).detailSigner(signerToken);
           const jsonDocResponse: string = new JsonConverter().signerToJson(docResponse);
           console.log(jsonDocResponse);
         } catch(Err) {
           console.log(Err);
     }
   }
}
```

### Example:

<pre class="language-typescript"><code class="lang-typescript">import SignerRequest from "sdk-node-typescript-zapsign/src/signer/SignerRequest";
import { JsonConverter } from "sdk-node-typescript-zapsign/src/services/JsonConverter";
<strong>
</strong><strong>const apiToken: string = "YOUR TOKEN";
</strong><strong>
</strong>const signerToken: string = "SIGNER TOKEN";

async function exempleDetailSigner() {
    try {
           const signerRequest: SignerRequest = await new SignerRequest(apiToken).detailSigner(signerToken);
           const jsonDocResponse: string = new JsonConverter().signerToJson(docResponse);
           console.log(jsonDocResponse);
         } catch(Err) {
           console.log(Err);
     }
   }
}
</code></pre>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zapsign.com.br/zapsign-api/english/facilitators/sdks/typescript-sdk/signers-requests/detailsigner.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
